summaryrefslogtreecommitdiff
path: root/dev-python/mcp
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-07-14 03:04:44 -0500
committerroot <root@alpha.trunkmasters.com>2026-07-14 03:04:44 -0500
commit22ab5437b999b26eb3960d336dd392ccab062827 (patch)
tree43a85d35f8768ca8bfe5dbff9b129ada4b8c7847 /dev-python/mcp
parentd6c616f80bd44aa3323ca5211338d251e1215938 (diff)
downloadbaldeagleos-repo-22ab5437b999b26eb3960d336dd392ccab062827.tar.gz
baldeagleos-repo-22ab5437b999b26eb3960d336dd392ccab062827.tar.xz
baldeagleos-repo-22ab5437b999b26eb3960d336dd392ccab062827.zip
Adding metadata
Diffstat (limited to 'dev-python/mcp')
-rw-r--r--dev-python/mcp/mcp-1.28.1.ebuild37
1 files changed, 28 insertions, 9 deletions
diff --git a/dev-python/mcp/mcp-1.28.1.ebuild b/dev-python/mcp/mcp-1.28.1.ebuild
index a533d4761857..90018338ec28 100644
--- a/dev-python/mcp/mcp-1.28.1.ebuild
+++ b/dev-python/mcp/mcp-1.28.1.ebuild
@@ -51,15 +51,34 @@ EPYTEST_PLUGINS=( anyio inline-snapshot )
EPYTEST_XDIST=1
distutils_enable_tests pytest
-EPYTEST_IGNORE=(
- # Requires dev-python/pytest-examples which depends on missing Python
- # bindings in dev-util/ruff::gentoo
- tests/test_examples.py
-)
-EPYTEST_DESELECT=(
- # Runs dev-python/uv and requires network access (v1.28.1)
- tests/client/test_config.py::test_command_execution
-)
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # Fix TOCTOU port assignment issue
+ # https://bugs.gentoo.org/979158
+ cat >> tests/conftest.py <<-EOF || die
+
+ def pytest_collection_modifyitems(items):
+ for item in items:
+ if hasattr(item.module, "server_port"):
+ item.add_marker(pytest.mark.xdist_group(name="toctou_fix"))
+ EOF
+}
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # Requires dev-python/pytest-examples which depends on missing Python
+ # bindings in dev-util/ruff::gentoo
+ tests/test_examples.py
+ )
+ local EPYTEST_DESELECT=(
+ # Runs dev-python/uv and requires network access (v1.28.1)
+ tests/client/test_config.py::test_command_execution
+ )
+
+ epytest -m "xdist_group" --collect-only
+ epytest --dist=loadgroup
+}
pkg_postinst() {
optfeature "colorized log output" dev-python/rich